var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_core_1 = require("@speedy/node-core");
const _ = require("lodash");
const utils_1 = require("../utils");
const clean_args_1 = require("./clean.args");
const logger = new node_core_1.Logger("Clean");
function clean(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const timer = new node_core_1.Timer(logger);
        try {
            timer.start();
            const { paths } = utils_1.args.mergeWithOptions(clean_args_1.ARGS, options);
            if (_.isEmpty(paths)) {
                throw new Error("Paths is missing");
            }
            yield Promise.all(node_core_1.fileSystem.glob(paths).map(node_core_1.fileSystem.deleteAsync));
        }
        catch (error) {
            logger.error("", error);
            throw error;
        }
        finally {
            timer.finish();
        }
    });
}
exports.clean = clean;
