var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_core_1 = require("@speedy/node-core");
const _ = require("lodash");
const utils_1 = require("../utils");
const copy_args_1 = require("./copy.args");
const logger = new node_core_1.Logger("Copy");
function copy(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const timer = new node_core_1.Timer(logger).start();
        try {
            const castedOptions = _.isArray(options) ? options : _.castArray(utils_1.args.mergeWithOptions(copy_args_1.ARGS, options));
            yield Promise.all(_.flatten(castedOptions.map(x => node_core_1.fileSystem.copyAsync(x.paths, x.dest))));
        }
        catch (error) {
            logger.error("", error);
            throw error;
        }
        finally {
            timer.finish();
        }
    });
}
exports.copy = copy;
