Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const lint_sass_model_1 = require("./lint-sass.model");
exports.ARGS = [
    {
        key: "config",
        alias: "c",
        description: "Lint rules file path",
        default: ".stylelintrc"
    },
    {
        key: "files",
        alias: "f",
        description: "Files to be linted - Supports glob patterns",
        default: "./src/**/*.*(scss|sass)",
        array: true
    },
    {
        key: "formatter",
        description: "Formatter to use to format the linter results",
        default: lint_sass_model_1.LINT_SASS_FORMATTERS.verbose,
        choices: _.keysIn(lint_sass_model_1.LINT_SASS_FORMATTERS)
    },
    {
        key: "fix",
        description: "Determines whether to auto fix lint issues (which support fixing)",
        default: false
    },
    {
        key: "continueOnError",
        description: "Determines whether to exit with a non-zero status code on lint errors",
        default: false
    }
];
