export interface LintTsOptions {
    files: string | string[];
    config: string;
    formatter: LintTsFormatters;
    continueOnError: boolean;
    fix: boolean;
    program: string;
}
export interface LintTsResult {
    failureCount: number;
    fixesCount: number;
    errorCount: number;
}
export declare type LintTsFormatters = "vso" | "verbose" | "prose" | "stylish" | "pmd" | "json" | "msbuild" | "fileList" | "codeFrame" | "checkstyle";
export declare const LINT_TS_FORMATTERS: {
    vso: LintTsFormatters;
    verbose: LintTsFormatters;
    prose: LintTsFormatters;
    stylish: LintTsFormatters;
    pmd: LintTsFormatters;
    json: LintTsFormatters;
    msbuild: LintTsFormatters;
    fileList: LintTsFormatters;
    codeFrame: LintTsFormatters;
    checkstyle: LintTsFormatters;
};
