Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:ordered-imports
const require_cache_1 = require("./utils/require-cache");
require_cache_1.initCache();
const yargs = require("yargs");
const clean_cli_1 = require("./clean/clean.cli");
const copy_cli_1 = require("./copy/copy.cli");
const lint_html_cli_1 = require("./lint/lint-html/lint-html.cli");
const lint_sass_cli_1 = require("./lint/lint-sass/lint-sass.cli");
const lint_ts_cli_1 = require("./lint/lint-ts/lint-ts.cli");
const args_1 = require("./utils/args");
args_1.args.init();
// tslint:disable-next-line:no-unused-expression
yargs
    .command(lint_ts_cli_1.lintTsModule)
    .command(lint_sass_cli_1.lintSassModule)
    .command(lint_html_cli_1.lintHtmlModule)
    .command(clean_cli_1.cleanModule)
    .command(copy_cli_1.copyModule)
    .help()
    .alias("help", "h")
    .version()
    .alias("version", "v")
    .wrap(yargs.terminalWidth() - 1) // - 1 is required to fit in screen
    .argv;
