import { ArgumentOptions, Arguments } from "./args.model";
export declare namespace args {
    function init(): void;
    /**
     * Register command arguments. When `default` value is specified the argument `type` will be inferred.
     */
    function set<T extends Arguments>(argOptions: ArgumentOptions<T>[]): T;
    /**
     * Merges `Arguments` default values with `Options`
     */
    function mergeWithOptions<T>(defaultArgs: ArgumentOptions<T>[], options?: Partial<T>): T;
    const getAll: <T extends Arguments>() => T;
    const env: Arguments;
}
