Object.defineProperty(exports, "__esModule", { value: true });
const node_core_1 = require("@speedy/node-core");
const _ = require("lodash");
const args_1 = require("./args");
const logger = new node_core_1.Logger("Build Command Module");
function buildCommandModule(options) {
    return {
        command: options.command,
        describe: options.description,
        handler: argv => {
            let fn;
            if (_.isFunction(options.handler)) {
                fn = options.handler(argv);
            }
            else {
                const { functionName, path } = options.handler;
                fn = require(path)[functionName](argv);
            }
            fn.catch(error => {
                logger.debug(buildCommandModule.name, error);
                logger.debug(buildCommandModule.name, `Command: ${options.command}, Exiting with Exit Code: 1`);
                process.exit(1);
            });
        },
        builder: () => args_1.args.set(options.args)
    };
}
exports.buildCommandModule = buildCommandModule;
