var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_core_1 = require("@speedy/node-core");
const require_cache_1 = require("../require-cache");
const logger = new node_core_1.Logger("Worker Process");
process.on("message", (message) => __awaiter(this, void 0, void 0, function* () {
    try {
        require_cache_1.initCache(true);
        const task = require(message.modulePath)[message.task];
        const result = yield task.call(null, message.parameters);
        sendMessage(message, { resolved: result });
    }
    catch (error) {
        sendMessage(message, {
            error: {
                message: error.message,
                name: error.name,
                stack: error.stack
            }
        });
        process.exit(1);
    }
}));
function sendMessage(message, messageOverrides) {
    logger.debug(sendMessage.name, `task: ${message.task}, pid: ${process.pid}`);
    process.send(Object.assign({}, message, messageOverrides));
}
